---
title: Componente React para Linha do tempo
components: Timeline, TimelineItem, TimelineSeparator, TimelineDot, TimelineConnector, TimelineContent, TimelineOppositeContent
githubLabel: 'component: Timeline'
packageName: '@material-ui/lab'
---

# Linha do tempo

<p class="description">A linha do tempo exibe uma lista de eventos em ordem cronológica.</p>

**Observação:** Este componente não está documentado nas [diretrizes do Material Design](https://material.io/), mas o Material-UI o suporta.

{{"component": "modules/components/ComponentLinkHeader.js"}}

## Linha do tempo básica

Uma linha do tempo básica mostrando a lista de eventos.

{{"demo": "pages/components/timeline/BasicTimeline.js"}}

## Left-positioned timeline

The main content of the timeline can be positioned on the left side relative to the time axis.

{{"demo": "pages/components/timeline/LeftPositionedTimeline.js"}}

## Linha do tempo alternada

A linha do tempo pode exibir os eventos alternando os lados.

{{"demo": "pages/components/timeline/AlternateTimeline.js"}}

## Cor

O `TimelineDot` pode aparecer em cores diferentes.

{{"demo": "pages/components/timeline/ColorsTimeline.js"}}

## Delineado

{{"demo": "pages/components/timeline/OutlinedTimeline.js"}}

## Conteúdo oposto

A linha do tempo pode exibir conteúdo nos lados opostos.

{{"demo": "pages/components/timeline/OppositeContentTimeline.js"}}

## Linha do tempo customizada

Aqui está um exemplo de customização do componente. Você pode aprender mais sobre isso na [página de documentação de sobrescritas](/customization/how-to-customize/).

{{"demo": "pages/components/timeline/CustomizedTimeline.js"}}
