---
title: React Timeline component
components: Timeline, TimelineItem, TimelineSeparator, TimelineDot, TimelineConnector, TimelineContent, TimelineOppositeContent
githubLabel: 'component: Timeline'
packageName: '@material-ui/lab'
---

# Timeline

<p class="description">The timeline displays a list of events in chronological order.</p>

**Note:** This component is not documented in the [Material Design guidelines](https://material.io/), but Material-UI supports it.

{{"component": "modules/components/ComponentLinkHeader.js"}}

## Basic timeline

A basic timeline showing list of events.

{{"demo": "pages/components/timeline/BasicTimeline.js"}}

## Left-positioned timeline

The main content of the timeline can be positioned on the left side relative to the time axis.

{{"demo": "pages/components/timeline/LeftPositionedTimeline.js"}}

## Alternating timeline

The timeline can display the events on alternating sides.

{{"demo": "pages/components/timeline/AlternateTimeline.js"}}

## Color

The `TimelineDot` can appear in different colors from theme palette.

{{"demo": "pages/components/timeline/ColorsTimeline.js"}}

## Outlined

{{"demo": "pages/components/timeline/OutlinedTimeline.js"}}

## Opposite content

The timeline can display content on opposite sides.

{{"demo": "pages/components/timeline/OppositeContentTimeline.js"}}

## Customized timeline

Here is an example of customizing the component. You can learn more about this in the
[overrides documentation page](/customization/how-to-customize/).

{{"demo": "pages/components/timeline/CustomizedTimeline.js"}}
