# Apprendre Materiel-UI

<p class="description">Nouveau sur Material-UI ? C'est facile à apprendre si vous savez par où commencer ! Ce guide vous aidera à démarrer rapidement.</p>

Comme toute technologie inconnue, Material-UI a une courbe d'apprentissage. Que vous préfériez une approche plus théorique ou plus pratique, nous espérons que cette section vous sera utile. Developers come to Material-UI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you’ll find this section helpful.

## Premier exemple

La page [d'utilisation](/getting-started/usage/#quick-start) contient un petit exemple Material-UI avec un éditeur en ligne. Even if you don't know anything about Material-UI yet, try changing the code and see how it affects the result.

## Exemples de projets

Il y a [quelques exemples de projets](/getting-started/example-projects/) disponibles, fournissant l'infrastructure nécessaire pour développer et déployer des sites web dans React.

## Modèles

Cette [sélection de modèles de base](/getting-started/templates/) vous aidera à commencer à construire votre application.

## Ressources recommandées

Lors de la première utilisation de Material-UI, vous trouverez peut-être que les articles de blogs, livres et cours vidéo tiers sont plus utiles que la documentation officielle. Voici quelques ressources recommandées, dont certaines sont gratuites.

### Gratuit

- **Introduction à Material-UI**: une série de vidéos couvrant tous les composants Material-UI importants.
  - 📹 [The videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Personnaliser Material-UI pour votre projet**: un regard sur la façon dont vous pouvez personnaliser Material-UI pour aligner avec l'identité de votre entreprise (système de conception) et les produits
  - 📹 [The videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI.
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components.
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list.
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **UX élégant en React avec Material-UI**: un article de blog couvrant quelques concepts importants de Material-UI.
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### Payant

- **Implémenter des conceptions de haute fidélité**: Passez le fossé entre Design & Développement. Décomposez les designs détaillés et donnez-leur vie avec Material-UI et React.

  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)

- **Appliquer Google Material Design**: Ce cours enseigne les fondamentaux de Google Material Design et comment développer une application de recherche et de réservation de bout en bout en vol à l'aide de Material-UI et de React.

  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)

- **Cookbook**: Construisez des applications modernes en implémentant les principes de conception de matériaux dans React, en utilisant Material-UI.
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI.
  - 📘 [The book](https://builderbook.org/book)
